Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprData Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprData:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprData:
[legend]

## Public Member Functions

| CprData (H5Node &iParentGroup, int32_t iArchiveVersion, const std::string &iName)
size_t | getNumProperties ()
const AbcA::PropertyHeader & | getPropertyHeader (AbcA::CompoundPropertyReaderPtr iParent, size_t i)
const AbcA::PropertyHeader * | getPropertyHeader (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::ScalarPropertyReaderPtr | getScalarProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::ArrayPropertyReaderPtr | getArrayProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)
AbcA::CompoundPropertyReaderPtr | getCompoundProperty (AbcA::CompoundPropertyReaderPtr iParent, const std::string &iName)

The documentation for this class was generated from the following files:

- AbcCoreHDF5/CprData.h
- AbcCoreHDF5/CprData.cpp